- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Solvers::SAT::GATSAT::CompileSAT::CSATFactory Class Reference

Inheritance diagram for Mers::Solvers::SAT::GATSAT::CompileSAT::CSATFactory:

[legend]
Collaboration diagram for Mers::Solvers::SAT::GATSAT::CompileSAT::CSATFactory:

[legend]
List of all members.

## Public Member Functions
| CSATFactory ()
virtual | ~CSATFactory ()
virtual Mers::Solvers::SAT::GATSAT::CompileSAT::CompileSAT * | createGatsat (const Mers::Models::Base::BaseModelVariableArray &searchVars, const Mers::Models::Base::BaseModelVariableArray &allVars, const Mers::Models::Base::BaseModelSentence &theory) const throw (Mers::Utils::Exceptions::RuntimeException)

## Detailed Description

Definition at line 24 of file CSATFactory.h.

## Constructor & Destructor Documentation

Mers::Solvers::SAT::GATSAT::CompileSAT::CSATFactory::CSATFactory | ( |  | ) | `[inline]`

Constructs this object.

Definition at line 30 of file CSATFactory.h.

virtual Mers::Solvers::SAT::GATSAT::CompileSAT::CSATFactory::~CSATFactory | ( |  | ) | `[inline, virtual]`

Destroys this object.

Definition at line 36 of file CSATFactory.h.

## Member Function Documentation

CompileSAT * CSATFactory::createGatsat | ( | const Mers::Models::Base::BaseModelVariableArray & | searchVars,
|  | const Mers::Models::Base::BaseModelVariableArray & | allVars,
|  | const Mers::Models::Base::BaseModelSentence & | theory |
| ) |  |  | const throw (Mers::Utils::Exceptions::RuntimeException)`[virtual]`

Creates a GATSAT object.

Parameters:

  | searchVars | The search variables that will be generated over. Each variable will be considered by the generator.
  | allVars | The list of all variables, often needed by the tester. This should minimally be the union of the search variables with the variables used in the theory.
  | theory | The DNF theory (a set of disjunctive clauses) used by the tester as its basis for testing.

Returns:
  A new GATSAT instance using the specified data. This return value will never be NULL.

Exceptions:

  | RuntimeException | If the specified GATSAT instance could not be created for some reason.

Implements Mers::Solvers::SAT::GATSAT::GatsatFactory.

Definition at line 22 of file CSATFactory.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Solvers/SAT/GATSAT/CompileSAT/CSATFactory.h
- /Users/fpy/titan-1-5-MBARI/Mers/Solvers/SAT/GATSAT/CompileSAT/CSATFactory.cpp